﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Cvicenie3
{
    class Invoice
    {
        public int id { get; private set; }
        public String company { get; private set; }
        public decimal amount { get; private set; }
        public decimal paidAmount { get; private set; }
        public bool isPaid { get {
            return (amount == paidAmount);    
        } }

        public Invoice(int id, String company, decimal amount)
        {
            this.id = id;
            this.company = company;
            this.amount = amount;
            paidAmount = 0;
        }

        public void Pay(decimal amount1)
        {
            paidAmount += amount1;
        }

        public override string ToString()
        {
            return "Invoice [" + id + "] company: " + company + ", amount: " +
                amount + " Kc, paid: " + paidAmount + " Kc";
        }
    }
}
