﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Cvicenie3
{
    class InvoiceManager
    {
        private List<Invoice> invoiceList = new List<Invoice>();

        public void AddInvoice(Invoice invoice)
        {
            invoiceList.Add(invoice);
        }

        public Invoice GetInvoice(int id)
        {
            foreach (Invoice invoice in invoiceList)
            {
                if (invoice.id == id)
                {
                    return invoice;
                }
            }
            return null;
        }

        public decimal GetNotPaidAmount()
        {
            decimal result = 0;
            foreach (Invoice invoice in invoiceList)
            {
                result += (invoice.amount - invoice.paidAmount);
            }
            return result;
        }
    }
}
